/*
    control++ : System configuration tool
    Copyright (C) 2017-2024 Alexey Appolonov

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "libcontrol++.h"
#include "text.h"

//-----------------------------------------------------------------------------
// Display error message and quit with status 1

void FatalError(const string &err){

    cout << "[ERROR" << (err.empty() ? "" : (": " + err)) << "]" << endl;

    exit(1);
    }

//-----------------------------------------------------------------------------
// Yes/No dialog

bool Approval(const string &msg, const string &positive_answer){

    string approval;

    cout << msg;
    getline(cin, approval);

    return ToLower(approval) == ToLower(positive_answer);
    }

//----------------------------------------------------------------------------
