/*
    control++ : System configuration tool
    Copyright (C) 2017-2024 Alexey Appolonov

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#define ACL_SUFFIX "_acl" // Suffix of the ACL perms sectors

#include "permissions_sectype.h"

//-----------------------------------------------------------------------------
// Determine exact type of a section by analysis of it's name

void TSectorType::FormType(const string &sec_name){

    Clear();

    if(sec_name == "file" || sec_name == ("file" ACL_SUFFIX)){
        file = true;
        }
    else if(DirSector(sec_name) || DirSector(sec_name, ACL_SUFFIX)){
        dir = true;
        }
    else if(BlackListSector(sec_name) || BlackListSector(sec_name, ACL_SUFFIX)){
        blacklist = true;
        }
    else if(WhiteListSector(sec_name) || WhiteListSector(sec_name, ACL_SUFFIX)){
        whitelist = true;
        }
    else if(ColorListSector(sec_name) || ColorListSector(sec_name, ACL_SUFFIX)){
        colorlist = true;
        }

    if(!file && !dir && !blacklist && !whitelist && !colorlist){
        return;
        }

    valid = true;

    if(sec_name.find("_r") != string::npos){
        recursive = true;
        }

    if(sec_name.find(ACL_SUFFIX) != string::npos){
        acl = true;
        }
    }
