/*
    control++ : System configuration tool
    Copyright (C) 2017-2024 Alexey Appolonov

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "tick.h"
#include <chrono>

//-----------------------------------------------------------------------------

TTick::TTick(function<string(const unsigned&)> print_msg, unsigned tp){

    period = tp;
    Msg = print_msg;
    }

//-----------------------------------------------------------------------------

TTick::TTick(unsigned tp){

    period = tp;
    Msg = [](const unsigned c){
        return to_string(c);
        };
    }

//-----------------------------------------------------------------------------

void TTick::Start(void){

    activated = true;

    t = thread([&](void)->void{
        while(true){
            this_thread::sleep_for(chrono::seconds(period));
            cout << "\t- " << Msg(counter) << endl;
            if(stop){
                break;
                }
            }
        });
    }

//-----------------------------------------------------------------------------

void TTick::Stop(void){

    if(t.joinable()){
        stop = true;
        t.join();
        }
    }

//-----------------------------------------------------------------------------
